Subject: bug#24394: closed (Re: bug#24394: 25.1.50; (find-file "/sudo::") ignores async-shell-command-buffer settings)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Mar 2019 12:44:02 +0000

Your bug report

#24394: 25.1.50; (find-file "/sudo::") ignores async-shell-command-buffer settings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24394: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24394
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24394: 25.1.50; (find-file "/sudo::") ignores async-shell-command-buffer settings
From: Michael Albinus <[email-masked]>
To: Tino Calancha <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Mar 2019 13:43:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Tino Calancha <[email-masked]> writes:

Hi Tino,

> Thank you Michael!
> I just tested it now and I confirm it is fixed.

Thanks, I'm closing the bug.

Best regards, Michael.

Subject: 25.1.50; (find-file "/sudo::") ignores async-shell-command-buffer settings
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Thu, 8 Sep 2016 23:39:24 +0900 (JST)
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q -eval "(setq async-shell-command-buffer 'new-buffer)"

I) M-&: i=0; while true; do echo $i; i=$((i+1)); sleep 1;done RET
;; Repeating the command will not prompt for confirmation
II) M-&: M-p RET ; create buffer "*Async Shell Command*<2>".
III) M-:(let ((dir (expand-file-name default-directory)))
           (find-file (concat "/sudo::") dir)) RET
IV) M-&: M-p RET
;; Received prompt to kill buffer "*Async Shell Command*".

In IV) the machine is the same as before and the original user
still is the owner of the Emacs session: i would expect IV) create
the buffer "*Async Shell Command*<3>" without any prompt.
Even if i set `async-shell-command-buffer' to 'new-buffer in
/root/.emacs i receive the prompt.

In GNU Emacs 25.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.21.5)
  of 2016-09-08
Repository revision: ba5d32398ba42fcf14ad5242d95c68133981744f